/*************************************************
History:
Jimmy Chan 2022/1/25 3.0.0.0 build this moudle
Jimmy Chan 2022/3/9  3.0.0.1 add some error code
*************************************************/

#ifndef __ERRORCODE_H__
#define __ERRORCODE_H__

#define SUCCESS								10000
#define ERROR_INIT							10001
#define ERROR_CLOSE							10002
#define ERROR_CFG							10003
#define ERROR_CONNECT						10004
#define ERROR_RX							10005
#define ERROR_TX							10006
#define ERROR_DATA							10007
#define ERROR_OUTRANGE						10008
#define ERROR_GET_DIG_VAl					10009
#define ERROR_GET_STB_VAl					10010
#define ERROR_GET_LIG_DEL_VAl				10011
#define ERROR_GET_CAM_DEL_VAl				10012
#define ERROR_GET_INT_CYC_VAl				10013
#define ERROR_GET_LIG_TRI_MODE				10014
#define ERROR_GET_CAM_TRI_EDGE				10015
#define ERROR_GET_LIG_STA					10016
#define ERROR_SET_DIG_VAl					10017
#define ERROR_SET_STB_VAl					10018
#define ERROR_SET_LIG_DEL_VAl				10019
#define ERROR_SET_CAM_DEL_VAl				10020	
#define ERROR_SET_INT_CYC_VAl				10021
#define ERROR_SET_LIG_TRI_MODE				10022
#define ERROR_SET_CAM_TRI_EDGE				10023
#define ERROR_SET_LIG_STA					10024
#define ERROR_DOWNLINE						10025
#define ERROR_SEND_HEARTBEAT				10026
#define ERROR_GET_ADAPTER					10027
#define ERROR_SET_MUL_DIG_VAl				10028
#define ERROR_SET_MUL_STB_VAl				10029
#define ERROR_SET_MUL_LIG_DEL_VAl			10030
#define ERROR_SET_MUL_CAM_DEL_VAl			10031
#define ERROR_IP_ADDRESS					10032
#define ERROR_SM_ADDRESS					10033
#define ERROR_GW_ADDRESS					10034
#define ERROR_SET_PGM_PAR					10035
#define ERROR_COLLISION						10036
#define ERROR_GET_PGM_PAR					10037
#define ERROR_GET_PULSE_UNIT				10038
#define ERROR_SET_PULSE_UNIT				10039
#define ERROR_GET_TRI_PTY					10040
#define ERROR_SET_TRI_PTY					10041
#define ERROR_CLR_PGM_PAR					10042
#define ERROR_SET_CURRENT_STEP				10043
#define ERROR_GET_CURRENT_STEP				10044
#define ERROR_GET_TOTAL_STEP				10045
#define ERROR_RESET_STEP					10046
#define ERROR_SetON_OFF						10047
#define ERROR_GetON_OFF                     10048
#define ERROR_SetMulON_OFF                  10049
#define ERROR_GetSoftwareVersion            10050
#define ERROR_SetTriggerPolarity            10051
#define ERROR_GetTriggerPolarity            10052
#define ERROR_GetChannelNumberSummary       10053
#define ERROR_GeControllerModel             10054
#define ERROR_SetColorTemperature           10055
#define ERROR_SetMulColorTemperature        10056
#define ERROR_GetColorTemperature           10057

#endif